## revtv revtv |

## Properties

gint | delay | Read / Write
gint | gain | Read / Write
gint | linespace | Read / Write

## Types and Values

struct | GstRevTV

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstVideoFilter
                            ╰── GstRevTV

## Description

RevTV acts like a video waveform monitor for each line of video processed. This creates a pseudo 3D effect based on the brightness of the video along each line.

### Example launch line

    1
    gst-launch-1.0 -v videotestsrc ! revtv ! videoconvert ! autovideosink

This pipeline shows the effect of revtv on a test stream.

## Synopsis

### Element Information

plugin | effectv
author | Wim Taymans <wim.taymans@gmail.be>
class | Filter/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ BGRx, RGBx }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ BGRx, RGBx }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstRevTV

    struct GstRevTV;

## Property Details

### The `“delay”` property

      “delay”                    gint

Delay in frames between updates.

Flags: Read / Write

Allowed values: [1,100]

Default value: 1

### The `“gain”` property

      “gain”                     gint

Control gain.

Flags: Read / Write

Allowed values: [1,200]

Default value: 50

### The `“linespace”` property

      “linespace”                gint

Control line spacing.

Flags: Read / Write

Allowed values: [1,100]

Default value: 6